Last Comment Bug 480191 - Memory leak of content nodes when right-clicking a button element, then closing the browser
: Memory leak of content nodes when right-clicking a button element, then closi...
Status: RESOLVED FIXED
: mlk, testcase
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Windows XP
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 664430
Blocks: 279703
  Show dependency treegraph
 
Reported: 2009-02-25 14:13 PST by Martijn Wargers [:mwargers] (not working for Mozilla)
Modified: 2011-06-20 13:58 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (240 bytes, text/html)
2009-02-25 14:13 PST, Martijn Wargers [:mwargers] (not working for Mozilla)
no flags Details

Description Martijn Wargers [:mwargers] (not working for Mozilla) 2009-02-25 14:13:36 PST
Created attachment 364175 [details]
testcase

I get a memory leak when right clicking on the button, and then closing the browser.
See result of the leak log:

Results of processing log leak1.log :
Leaked content nodes associated with node info manager at address 2c78ca0.
 ... with document URI "file:///C:/Documents%20and%20Settings/mw/Bureaublad/rightclickbutton.htm".

Summary:
Leaked 0 out of 0 DOM Windows
Leaked 0 out of 31 documents
Leaked 0 out of 5 docshells
Leaked content nodes in 1 out of 39 documents
Comment 1 Peter Van der Beken [:peterv] - away till Aug 1st 2009-12-03 07:29:29 PST
The nsXULPopupManager holds a node in mRangeParent (and a document in mKeyListener?), but it's held alive by nsLayoutStatics. nsLayoutStatics stays alive as long as there are nodes or documents alive. Something should break the cycle.
Comment 2 Neil Deakin 2011-06-20 13:58:36 PDT
This should have been fixed by bug 664430.

Note You need to log in before you can comment on or make changes to this bug.